Package org.eclipse.gef.zest.fx

# Class ZestProperties

java.lang.Object
org.eclipse.gef.zest.fx.ZestProperties

public class ZestProperties extends Object
The `ZestProperties` class contains the definition of the attributes (including their default values) that are evaluated by Zest.FX. It also provides type-safe utility methods to get and set the attribute values.

## Field Summary

Fields
Modifier and Type
Field
Description
`static final String`
`CONTROL_POINTS__E`
This attribute determines the way points that are passed along to the `ROUTER__E` in addition to the start and end point, which are provided by the `Connection` and computed by `IAnchor`s at the source and target node of the `Edge` (and not included in the list of way points).
`static final String`
`CSS_CLASS__NE`
This attribute determines the CSS class for an element (node/edge).
`static final String`
`CSS_ID__NE`
This attribute determines the CSS id for an element (node/edge).
`static final String`
`CURVE__E`
This attribute determines the curve being used for visualization of the edge.
`static final String`
`CURVE_CSS_STYLE__E`
This attribute determines the CSS style for an edge.
`static final String`
`END_POINT__E`
This attribute determines the end point being used for the visualization of the edge.
`static final String`
`EXTERNAL_LABEL__NE`
This attribute determines the (optional) external label of an element (node/edge).
`static final String`
`EXTERNAL_LABEL_CSS_STYLE__NE`
This attribute determines the CSS style for an external label of an element (node/edge).
`static final String`
`EXTERNAL_LABEL_POSITION__NE`
This attribute determines the position of an element (node/edge)'s external label (in case it exists).
`static final String`
`EXTERNAL_LABEL_TOOLTIP__NE`
This attribute determines the tooltip for an element (node/edge) external label.
`static final String`
`ICON__N`
This attribute determines the icon for a node.
`static final String`
`INTERPOLATOR__E`
This attribute determines the `IConnectionInterpolator` used to infer a geometry for an edge.
`static final String`
`INVISIBLE__NE`
This attribute determines if an element (node/edge) is invisible.
`static final String`
`LABEL__NE`
This attribute determines the label for an element (node/edge).
`static final String`
`LABEL_CSS_STYLE__NE`
This attribute determines the CSS style for an element (node/edge) label.
`static final String`
`LABEL_POSITION__E`
This attribute determines the position of an edge's label (in case it exists).
`static final String`
`LABEL_TOOLTIP__E`
This attribute determines the tooltip for an edge label.
`static final String`
`LAYOUT_ALGORITHM__G`
This attribute determines the `ILayoutAlgorithm` used to layout the graph.
`static final String`
`LAYOUT_IRRELEVANT__NE`
This attribute determines if an element (node/edge) should be ignored by the automatic layout.
`static final String`
`MODEL__GNE`
This attribute stores a back-reference to the original model element from which this `Graph`, `Node`, or `Edge` was constructed.
`static final String`
`POSITION__N`
This attribute determines the position for a node.
`static final String`
`ROUTER__E`
This attribute determines the `IConnectionRouter` used to route an edge.
`static final String`
`SHAPE__N`
This attribute determines the shape being used for background and outline visualization of the node.
`static final String`
`SHAPE_CSS_STYLE__N`
This attribute determines the CSS style for a node shape.
`static final String`
`SIZE__N`
This attribute determines the size for a node.
`static final String`
`SOURCE_DECORATION__E`
This attribute determines the source decoration for an edge.
`static final String`
`SOURCE_DECORATION_CSS_STYLE__E`
This attribute determines the CSS style for the source decoration of an edge.
`static final String`
`SOURCE_LABEL__E`
This attribute determines the source label for an edge.
`static final String`
`SOURCE_LABEL_CSS_STYLE__E`
This attribute determines the CSS style for the source edge label.
`static final String`
`SOURCE_LABEL_POSITION__E`
This attribute determines the position of an edge's source label (in case it exists).
`static final String`
`SOURCE_LABEL_TOOLTIP__E`
This attribute determines the tooltip for an edge source label.
`static final String`
`START_POINT__E`
This attribute determines the start point being used for the visualization of the edge.
`static final String`
`TARGET_DECORATION__E`
This attribute determines the target decoration for an edge.
`static final String`
`TARGET_DECORATION_CSS_STYLE__E`
This attribute determines the CSS style for the target decoration of an edge.
`static final String`
`TARGET_LABEL__E`
This attribute determines the target label for an edge.
`static final String`
`TARGET_LABEL_CSS_STYLE__E`
This attribute determines the CSS style for the target edge label.
`static final String`
`TARGET_LABEL_POSITION__E`
This attribute determines the position of an edge's target label (in case it exists).
`static final String`
`TARGET_LABEL_TOOLTIP__E`
This attribute determines the tooltip for an edge target label.
`static final String`
`TOOLTIP__E`
This attribute determines the tooltip for an edge.
`static final String`
`TOOLTIP__N`
This attribute determines the tooltip for a node.

## Constructor Summary

Constructors
Constructor
Description
`ZestProperties()`

## Method Summary

Modifier and Type
Method
Description
`static List<Point>`
`getControlPoints(Edge edge)`
Returns the value of the `CONTROL_POINTS__E` attribute of the given `Edge`.
`static String`
`getCssClass(Edge edge)`
Returns the value of the `CSS_CLASS__NE` attribute of the given `Edge`.
`static String`
`getCssClass(Node node)`
Returns the value of the `CSS_CLASS__NE` attribute of the given `Node`.
`static String`
`getCssId(Edge edge)`
Returns the value of the `CSS_ID__NE` attribute of the given `Edge`.
`static String`
`getCssId(Node node)`
Returns the value of the `CSS_ID__NE` attribute of the given `Node`.
`static Node`
`getCurve(Edge edge)`
Returns the value of the `CURVE__E` attribute of the given `Edge`.
`static String`
`getCurveCssStyle(Edge edge)`
Returns the value of the `CURVE_CSS_STYLE__E` attribute of the given `Edge`.
`static Point`
`getEndPoint(Edge edge)`
Returns the value of the `END_POINT__E` attribute of the given `Edge`.
`static String`
`getExternalLabel(Edge edge)`
Returns the value of the `EXTERNAL_LABEL__NE` attribute of the given `Edge`.
`static String`
`getExternalLabel(Node node)`
Returns the value of the `EXTERNAL_LABEL__NE` attribute of the given `Node`.
`static String`
`getExternalLabelCssStyle(Edge edge)`
Returns the value of the `EXTERNAL_LABEL_CSS_STYLE__NE` attribute of the given `Edge`.
`static String`
`getExternalLabelCssStyle(Node node)`
Returns the value of the `EXTERNAL_LABEL_CSS_STYLE__NE` attribute of the given `Node`.
`static Point`
`getExternalLabelPosition(Edge edge)`
Returns the value of the `EXTERNAL_LABEL_POSITION__NE` attribute of the given `Edge`.
`static Point`
`getExternalLabelPosition(Node node)`
Returns the value of the `EXTERNAL_LABEL_POSITION__NE` attribute of the given `Node`.
`static String`
`getExternalLabelTooltip(Edge edge)`
Returns the value of the `EXTERNAL_LABEL_TOOLTIP__NE` attribute of the given `Edge`.
`static String`
`getExternalLabelTooltip(Node node)`
Returns the value of the `EXTERNAL_LABEL_TOOLTIP__NE` attribute of the given `Node`.
`static Image`
`getIcon(Node node)`
Returns the value of the `ICON__N` attribute of the given `Node`.
`static IConnectionInterpolator`
`getInterpolator(Edge edge)`
Returns the value of the `INTERPOLATOR__E` attribute of the given `Edge`.
`static Boolean`
`getInvisible(Edge edge)`
Returns the value of the `INVISIBLE__NE` attribute of the given `Edge`.
`static Boolean`
`getInvisible(Node node)`
Returns the value of the `INVISIBLE__NE` attribute of the given `Node`.
`static String`
`getLabel(Edge edge)`
Returns the value of the `LABEL__NE` attribute for the given `Edge`.
`static String`
`getLabel(Node node)`
Returns the value of the `LABEL__NE` attribute for the given `Node`.
`static String`
`getLabelCssStyle(Edge edge)`
Returns the value of the `LABEL_CSS_STYLE__NE` attribute of the given `Edge`.
`static String`
`getLabelCssStyle(Node node)`
Returns the value of the `LABEL_CSS_STYLE__NE` attribute of the given `Node`.
`static Point`
`getLabelPosition(Edge edge)`
Returns the value of the `LABEL_POSITION__E` attribute of the given `Edge`.
`static String`
`getLabelTooltip(Edge edge)`
Returns the value of the `LABEL_TOOLTIP__E` attribute of the given `Edge`.
`static ILayoutAlgorithm`
`getLayoutAlgorithm(Graph graph)`
Returns the value of the `LAYOUT_ALGORITHM__G` attribute of the given `Graph`.
`static Boolean`
`getLayoutIrrelevant(Edge edge)`
Returns the value of the `LAYOUT_IRRELEVANT__NE` attribute of the given `Edge`.
`static Boolean`
`getLayoutIrrelevant(Node node)`
Returns the value of the `LAYOUT_IRRELEVANT__NE` attribute of the given `Node`.
`static Object`
`getModel(Edge edge)`
Returns the value of the `MODEL__GNE` attribute of the given `Edge`.
`static Object`
`getModel(Graph graph)`
Returns the value of the `MODEL__GNE` attribute of the given `Graph`.
`static Object`
`getModel(Node node)`
Returns the value of the `MODEL__GNE` attribute of the given `Node`.
`static Point`
`getPosition(Node node)`
Returns the value of the `POSITION__N` attribute of the given `Node`.
`static IConnectionRouter`
`getRouter(Edge edge)`
Returns the value of the `ROUTER__E` attribute of the given `Edge`.
`static Node`
`getShape(Node node)`
Returns the value of the `SHAPE__N` attribute of the given `Node`.
`static String`
`getShapeCssStyle(Node node)`
Returns the value of the `SHAPE_CSS_STYLE__N` attribute of the given `Node`.
`static Dimension`
`getSize(Node node)`
Returns the value of the `SIZE__N` attribute of the given `Node`.
`static Node`
`getSourceDecoration(Edge edge)`
Returns the value of the `SOURCE_DECORATION__E` attribute of the given `Edge`.
`static String`
`getSourceDecorationCssStyle(Edge edge)`
Returns the value of the `SOURCE_DECORATION_CSS_STYLE__E` attribute of the given `Edge`.
`static String`
`getSourceLabel(Edge edge)`
Returns the value of the `SOURCE_LABEL__E` attribute of the given `Edge`.
`static String`
`getSourceLabelCssStyle(Edge edge)`
Returns the value of the `SOURCE_LABEL_CSS_STYLE__E` attribute of the given `Edge`.
`static Point`
`getSourceLabelPosition(Edge edge)`
Returns the value of the `SOURCE_LABEL_POSITION__E` attribute of the given `Edge`.
`static String`
`getSourceLabelTooltip(Edge edge)`
Returns the value of the `SOURCE_LABEL_TOOLTIP__E` attribute of the given `Edge`.
`static Point`
`getStartPoint(Edge edge)`
Returns the value of the `START_POINT__E` attribute of the given `Edge`.
`static Node`
`getTargetDecoration(Edge edge)`
Returns the value of the `TARGET_DECORATION__E` attribute of the given `Edge`.
`static String`
`getTargetDecorationCssStyle(Edge edge)`
Returns the value of the `TARGET_DECORATION_CSS_STYLE__E` attribute of the given `Edge`.
`static String`
`getTargetLabel(Edge edge)`
Returns the value of the `TARGET_LABEL__E` attribute of the given `Edge`.
`static String`
`getTargetLabelCssStyle(Edge edge)`
Returns the value of the `TARGET_LABEL_CSS_STYLE__E` attribute of the given `Edge`.
`static Point`
`getTargetLabelPosition(Edge edge)`
Returns the value of the `TARGET_LABEL_POSITION__E` attribute of the given `Edge`.
`static String`
`getTargetLabelTooltip(Edge edge)`
Returns the value of the `TARGET_LABEL_TOOLTIP__E` attribute of the given `Edge`.
`static String`
`getTooltip(Edge edge)`
Returns the value of the `TOOLTIP__E` attribute of the given `Edge`.
`static String`
`getTooltip(Node node)`
Returns the value of the `TOOLTIP__N` attribute of the given `Node`.
`static void`
`setControlPoints(Edge edge, Provider<List<Point>> controlPointsProvider)`
Sets the value of the `CONTROL_POINTS__E` attribute of the given `Edge` to the given value.
`static void`
`setControlPoints(Edge edge, List<Point> controlPoints)`
Sets the value of the `CONTROL_POINTS__E` attribute of the given `Edge` to the given value.
`static void`
`setCssClass(Edge edge, Provider<String> cssClassProvider)`
Sets the value of the `CSS_CLASS__NE` attribute of the given `Edge` to the given value.
`static void`
`setCssClass(Edge edge, String cssClass)`
Sets the value of the `CSS_CLASS__NE` attribute of the given `Edge` to the given value.
`static void`
`setCssClass(Node node, Provider<String> cssClassProvider)`
Sets the value of the `CSS_CLASS__NE` attribute of the given `Node` to the given value.
`static void`
`setCssClass(Node node, String cssClass)`
Sets the value of the `CSS_CLASS__NE` attribute of the given `Node` to the given value.
`static void`
`setCssId(Edge edge, Provider<String> cssIdProvider)`
Sets the value of the `CSS_ID__NE` attribute of the given `Edge` to the given value.
`static void`
`setCssId(Edge edge, String cssId)`
Sets the value of the `CSS_ID__NE` attribute of the given `Edge` to the given value.
`static void`
`setCssId(Node node, Provider<String> cssIdProvider)`
Sets the value of the `CSS_ID__NE` attribute of the given `Node` to the given value.
`static void`
`setCssId(Node node, String cssId)`
Sets the value of the `CSS_ID__NE` attribute of the given `Node` to the given value.
`static void`
`setCurve(Edge edge, Provider<Node> curveProvider)`
Sets the value of the `CURVE__E` attribute of the given `Edge` to the given value.
`static void`
`setCurve(Edge edge, Node curve)`
Sets the value of the `SHAPE__N` attribute of the given `Edge` to the given value.
`static void`
`setCurveCssStyle(Edge edge, Provider<String> curveCssStyleProvider)`
Sets the value of the `CURVE_CSS_STYLE__E` attribute of the given `Edge` to the given value.
`static void`
`setCurveCssStyle(Edge edge, String curveCssStyle)`
Sets the value of the `CURVE_CSS_STYLE__E` attribute of the given `Edge` to the given value.
`static void`
`setEndPoint(Edge edge, Provider<Point> endPointProvider)`
Sets the value of the `END_POINT__E` attribute of the given `Edge` to the given value.
`static void`
`setEndPoint(Edge edge, Point endPoint)`
Sets the value of the `END_POINT__E` attribute of the given `Edge` to the given value.
`static void`
`setExternalLabel(Edge edge, Provider<String> labelProvider)`
Sets the value of the `EXTERNAL_LABEL__NE` attribute of the given `Edge` to the given provider.
`static void`
`setExternalLabel(Edge edge, String label)`
Sets the value of the `EXTERNAL_LABEL__NE` attribute of the given `Edge` to the given value.
`static void`
`setExternalLabel(Node node, Provider<String> labelProvider)`
Sets the value of the `EXTERNAL_LABEL__NE` attribute of the given `Node` to the given provider.
`static void`
`setExternalLabel(Node node, String label)`
Sets the value of the `EXTERNAL_LABEL__NE` attribute of the given `Node` to the given value.
`static void`
`setExternalLabelCssStyle(Edge edge, Provider<String> textCssStyleProvider)`
Sets the value of the `EXTERNAL_LABEL_CSS_STYLE__NE` attribute of the given `Edge` to the given value.
`static void`
`setExternalLabelCssStyle(Edge edge, String textCssStyle)`
Sets the value of the `EXTERNAL_LABEL_CSS_STYLE__NE` attribute of the given `Edge` to the given value.
`static void`
`setExternalLabelCssStyle(Node node, Provider<String> textCssStyleProvider)`
Sets the value of the `EXTERNAL_LABEL_CSS_STYLE__NE` attribute of the given `Node` to the given value.
`static void`
`setExternalLabelCssStyle(Node node, String textCssStyle)`
Sets the value of the `EXTERNAL_LABEL_CSS_STYLE__NE` attribute of the given `Node` to the given value.
`static void`
`setExternalLabelPosition(Edge edge, Provider<Point> externalLabelPositionProvider)`
Sets the value of the `EXTERNAL_LABEL_POSITION__NE` attribute of the given `Edge` to the given value.
`static void`
`setExternalLabelPosition(Edge edge, Point externalLabelPosition)`
Sets the value of the `EXTERNAL_LABEL_POSITION__NE` attribute of the given `Edge` to the given value.
`static void`
`setExternalLabelPosition(Node node, Provider<Point> externalLabelPositionProvider)`
Sets the value of the `EXTERNAL_LABEL_POSITION__NE` attribute of the given `Node` to the given value.
`static void`
`setExternalLabelPosition(Node node, Point externalLabelPosition)`
Sets the value of the `EXTERNAL_LABEL_POSITION__NE` attribute of the given `Node` to the given value.
`static void`
`setExternalLabelTooltip(Edge edge, Provider<String> tooltipProvider)`
Sets the value of the `EXTERNAL_LABEL_TOOLTIP__NE` attribute of the given `Edge` to the given provider.
`static void`
`setExternalLabelTooltip(Edge edge, String tooltip)`
Sets the value of the `EXTERNAL_LABEL_TOOLTIP__NE` attribute of the given `Edge` to the given value.
`static void`
`setExternalLabelTooltip(Node node, Provider<String> tooltipProvider)`
Sets the value of the `EXTERNAL_LABEL_TOOLTIP__NE` attribute of the given `Node` to the given provider.
`static void`
`setExternalLabelTooltip(Node node, String tooltip)`
Sets the value of the `EXTERNAL_LABEL_TOOLTIP__NE` attribute of the given `Node` to the given value.
`static void`
`setIcon(Node node, Provider<Image> iconProvider)`
Sets the value of the `ICON__N` attribute of the given `Node` to the given value.
`static void`
`setIcon(Node node, Image icon)`
Sets the value of the `ICON__N` attribute of the given `Node` to the given value.
`static void`
`setInterpolator(Edge edge, Provider<IConnectionInterpolator> interpolatorProvider)`
Sets the value of the `INTERPOLATOR__E` attribute of the given `Edge` to the given value.
`static void`
`setInterpolator(Edge edge, IConnectionInterpolator interpolator)`
Sets the value of the `INTERPOLATOR__E` attribute of the given `Edge` to the given value.
`static void`
`setInvisible(Edge edge, Provider<Boolean> invisibleProvider)`
Sets the value of the `INVISIBLE__NE` attribute of the given `Edge` to the given value.
`static void`
`setInvisible(Edge edge, Boolean invisible)`
Sets the value of the `INVISIBLE__NE` attribute of the given `Edge` to the given value.
`static void`
`setInvisible(Node node, Provider<Boolean> invisibleProvider)`
Sets the value of the `INVISIBLE__NE` attribute of the given `Node` to the given value.
`static void`
`setInvisible(Node node, Boolean invisible)`
Sets the value of the `INVISIBLE__NE` attribute of the given `Node` to the given value.
`static void`
`setLabel(Edge edge, Provider<String> labelProvider)`
Sets the `LABEL__NE` attribute of the given `Edge` to the given provider.
`static void`
`setLabel(Edge edge, String label)`
Sets the `LABEL__NE` attribute of the given `Edge` to the given value.
`static void`
`setLabel(Node node, Provider<String> labelProvider)`
Sets the `LABEL__NE` attribute of the given `Node` to the given provider.
`static void`
`setLabel(Node node, String label)`
Sets the `LABEL__NE` attribute of the given `Node` to the given value.
`static void`
`setLabelCssStyle(Edge edge, Provider<String> textCssStyleProvider)`
Sets the value of the `LABEL_CSS_STYLE__NE` attribute of the given `Edge` to the given value.
`static void`
`setLabelCssStyle(Edge edge, String textCssStyle)`
Sets the value of the `LABEL_CSS_STYLE__NE` attribute of the given `Edge` to the given value.
`static void`
`setLabelCssStyle(Node node, Provider<String> textCssStyleProvider)`
Sets the value of the `LABEL_CSS_STYLE__NE` attribute of the given `Node` to the given value.
`static void`
`setLabelCssStyle(Node node, String textCssStyle)`
Sets the value of the `LABEL_CSS_STYLE__NE` attribute of the given `Node` to the given value.
`static void`
`setLabelPosition(Edge edge, Provider<Point> labelPositionProvider)`
Sets the value of the `LABEL_POSITION__E` attribute of the given `Edge` to the given value.
`static void`
`setLabelPosition(Edge edge, Point labelPosition)`
Sets the value of the `LABEL_POSITION__E` attribute of the given `Edge` to the given value.
`static void`
`setLabelTooltip(Edge edge, Provider<String> tooltipProvider)`
Sets the value of the `LABEL_TOOLTIP__E` attribute of the given `Edge` to the given provider.
`static void`
`setLabelTooltip(Edge edge, String tooltip)`
Sets the value of the `LABEL_TOOLTIP__E` attribute of the given `Edge` to the given value.
`static void`
`setLayoutAlgorithm(Graph graph, Provider<ILayoutAlgorithm> algorithmProvider)`
Sets the value of the `LAYOUT_ALGORITHM__G` attribute of the given `Graph` to the given value.
`static void`
`setLayoutAlgorithm(Graph graph, ILayoutAlgorithm algorithm)`
Sets the value of the `LAYOUT_ALGORITHM__G` attribute of the given `Graph` to the given value.
`static void`
`setLayoutIrrelevant(Edge edge, Provider<Boolean> layoutIrrelevantProvider)`
Sets the value of the `LAYOUT_IRRELEVANT__NE` attribute of the given `Edge` to the given value.
`static void`
`setLayoutIrrelevant(Edge edge, Boolean layoutIrrelevant)`
Sets the value of the `LAYOUT_IRRELEVANT__NE` attribute of the given `Edge` to the given value.
`static void`
`setLayoutIrrelevant(Node node, Provider<Boolean> layoutIrrelevantProvider)`
Sets the value of the `LAYOUT_IRRELEVANT__NE` attribute of the given `Node` to the given value.
`static void`
`setLayoutIrrelevant(Node node, Boolean layoutIrrelevant)`
Sets the value of the `LAYOUT_IRRELEVANT__NE` attribute of the given `Node` to the given value.
`static void`
`setModel(Edge edge, Object model)`
Sets the value of the `MODEL__GNE` attribute of the given `Edge` to the given value.
`static void`
`setModel(Graph graph, Object model)`
Sets the value of the `MODEL__GNE` attribute of the given `Graph` to the given value.
`static void`
`setModel(Node node, Object model)`
Sets the value of the `MODEL__GNE` attribute of the given `Node` to the given value.
`static void`
`setPosition(Node node, Provider<Point> positionProvider)`
Sets the value of the `POSITION__N` attribute of the given `Node` to the given value.
`static void`
`setPosition(Node node, Point position)`
Sets the value of the `POSITION__N` attribute of the given `Node` to the given value.
`static void`
`setRouter(Edge edge, Provider<IConnectionRouter> routerProvider)`
Sets the value of the `ROUTER__E` attribute of the given `Edge` to the given value.
`static void`
`setRouter(Edge edge, IConnectionRouter router)`
Sets the value of the `ROUTER__E` attribute of the given `Edge` to the given value.
`static void`
`setShape(Node node, Provider<Node> shapeProvider)`
Sets the value of the `SHAPE__N` attribute of the given `Node` to the given value.
`static void`
`setShape(Node node, Node shape)`
Sets the value of the `SHAPE__N` attribute of the given `Node` to the given value.
`static void`
`setShapeCssStyle(Node node, Provider<String> rectCssStyleProvider)`
Sets the value of the `SHAPE_CSS_STYLE__N` attribute of the given `Node` to the given value.
`static void`
`setShapeCssStyle(Node node, String rectCssStyle)`
Sets the value of the `SHAPE_CSS_STYLE__N` attribute of the given `Node` to the given value.
`static void`
`setSize(Node node, Provider<Dimension> sizeProvider)`
Sets the value of the `SIZE__N` attribute of the given `Node` to the given value.
`static void`
`setSize(Node node, Dimension size)`
Sets the value of the `SIZE__N` attribute of the given `Node` to the given value.
`static void`
`setSourceDecoration(Edge edge, Provider<Node> sourceDecorationProvider)`
Sets the value of the `SOURCE_DECORATION__E` attribute of the given `Edge` to the given value.
`static void`
`setSourceDecoration(Edge edge, Node sourceDecoration)`
Sets the value of the `SOURCE_DECORATION__E` attribute of the given `Edge` to the given value.
`static void`
`setSourceDecorationCssStyle(Edge edge, Provider<String> sourceDecorationCssStyleProvider)`
Sets the value of the `SOURCE_DECORATION_CSS_STYLE__E` attribute of the given `Edge` to the given value.
`static void`
`setSourceDecorationCssStyle(Edge edge, String sourceDecorationCssStyle)`
Sets the value of the `SOURCE_DECORATION_CSS_STYLE__E` attribute of the given `Edge` to the given value.
`static void`
`setSourceLabel(Edge edge, Provider<String> sourceLabelProvider)`
Sets the value of the `SOURCE_LABEL__E` attribute of the given `Edge` to the given provider.
`static void`
`setSourceLabel(Edge edge, String sourceLabel)`
Sets the value of the `SOURCE_LABEL__E` attribute of the given `Edge` to the given value.
`static void`
`setSourceLabelCssStyle(Edge edge, Provider<String> sourceLabelCssStyleProvider)`
Sets the value of the `SOURCE_LABEL_CSS_STYLE__E` attribute of the given `Edge` to the given value.
`static void`
`setSourceLabelCssStyle(Edge edge, String sourceLabelCssStyle)`
Sets the value of the `SOURCE_LABEL_CSS_STYLE__E` attribute of the given `Edge` to the given value.
`static void`
`setSourceLabelPosition(Edge edge, Provider<Point> labelPositionProvider)`
Sets the value of the `SOURCE_LABEL_POSITION__E` attribute of the given `Edge` to the given value.
`static void`
`setSourceLabelPosition(Edge edge, Point labelPosition)`
Sets the value of the `SOURCE_LABEL_POSITION__E` attribute of the given `Edge` to the given value.
`static void`
`setSourceLabelTooltip(Edge edge, Provider<String> tooltipProvider)`
Sets the value of the `SOURCE_LABEL_TOOLTIP__E` attribute of the given `Edge` to the given provider.
`static void`
`setSourceLabelTooltip(Edge edge, String tooltip)`
Sets the value of the `SOURCE_LABEL_TOOLTIP__E` attribute of the given `Edge` to the given value.
`static void`
`setStartPoint(Edge edge, Provider<Point> startPointProvider)`
Sets the value of the `START_POINT__E` attribute of the given `Edge` to the given value.
`static void`
`setStartPoint(Edge edge, Point startPoint)`
Sets the value of the `START_POINT__E` attribute of the given `Edge` to the given value.
`static void`
`setTargetDecoration(Edge edge, Provider<Node> targetDecorationProvider)`
Sets the value of the `TARGET_DECORATION__E` attribute of the given `Edge` to the given value.
`static void`
`setTargetDecoration(Edge edge, Node targetDecoration)`
Sets the value of the `TARGET_DECORATION__E` attribute of the given `Edge` to the given value.
`static void`
`setTargetDecorationCssStyle(Edge edge, Provider<String> targetDecorationCssStyleProvider)`
Sets the value of the `TARGET_DECORATION_CSS_STYLE__E` attribute of the given `Edge` to the given value.
`static void`
`setTargetDecorationCssStyle(Edge edge, String targetDecorationCssStyle)`
Sets the value of the `TARGET_DECORATION_CSS_STYLE__E` attribute of the given `Edge` to the given value.
`static void`
`setTargetLabel(Edge edge, Provider<String> targetLabelProvider)`
Sets the value of the `TARGET_LABEL__E` attribute of the given `Edge` to the given provider.
`static void`
`setTargetLabel(Edge edge, String targetLabel)`
Sets the value of the `TARGET_LABEL__E` attribute of the given `Edge` to the given value.
`static void`
`setTargetLabelCssStyle(Edge edge, Provider<String> targetLabelCssStyleProvider)`
Sets the value of the `TARGET_LABEL_CSS_STYLE__E` attribute of the given `Edge` to the given value.
`static void`
`setTargetLabelCssStyle(Edge edge, String targetLabelCssStyle)`
Sets the value of the `TARGET_LABEL_CSS_STYLE__E` attribute of the given `Edge` to the given value.
`static void`
`setTargetLabelPosition(Edge edge, Provider<Point> labelPositionProvider)`
Sets the value of the `TARGET_LABEL_POSITION__E` attribute of the given `Edge` to the given value.
`static void`
`setTargetLabelPosition(Edge edge, Point labelPosition)`
Sets the value of the `TARGET_LABEL_POSITION__E` attribute of the given `Edge` to the given value.
`static void`
`setTargetLabelTooltip(Edge edge, Provider<String> tooltipProvider)`
Sets the value of the `TARGET_LABEL_TOOLTIP__E` attribute of the given `Edge` to the given provider.
`static void`
`setTargetLabelTooltip(Edge edge, String tooltip)`
Sets the value of the `TARGET_LABEL_TOOLTIP__E` attribute of the given `Edge` to the given value.
`static void`
`setTooltip(Edge edge, Provider<String> tooltipProvider)`
Sets the value of the `TOOLTIP__E` attribute of the given `Edge` to the given provider.
`static void`
`setTooltip(Edge edge, String tooltip)`
Sets the value of the `TOOLTIP__E` attribute of the given `Edge` to the given value.
`static void`
`setTooltip(Node node, Provider<String> tooltipProvider)`
Sets the value of the `TOOLTIP__N` attribute of the given `Node` to the given provider.
`static void`
`setTooltip(Node node, String tooltip)`
Sets the value of the `TOOLTIP__N` attribute of the given `Node` to the given value.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### LAYOUT_IRRELEVANT__NE

public static final String LAYOUT_IRRELEVANT__NE
This attribute determines if an element (node/edge) should be ignored by the automatic layout.

See Also:
  - `getLayoutIrrelevant(Edge)`
  - `getLayoutIrrelevant(Node)`
  - `setLayoutIrrelevant(Edge, Boolean)`
  - `setLayoutIrrelevant(Node, Boolean)`
  - Constant Field Values

### INVISIBLE__NE

public static final String INVISIBLE__NE
This attribute determines if an element (node/edge) is invisible.

See Also:
  - `getInvisible(Edge)`
  - `getInvisible(Node)`
  - `setInvisible(Edge, Boolean)`
  - `setInvisible(Node, Boolean)`
  - Constant Field Values

### CSS_CLASS__NE

public static final String CSS_CLASS__NE
This attribute determines the CSS class for an element (node/edge). This attribute does not have a default value.

See Also:
  - `getCssClass(Edge)`
  - `getCssClass(Node)`
  - `setCssClass(Edge, String)`
  - `setCssClass(Node, String)`
  - Constant Field Values

### CSS_ID__NE

public static final String CSS_ID__NE
This attribute determines the CSS id for an element (node/edge). This attribute does not have a default value.

See Also:
  - `getCssId(Edge)`
  - `getCssId(Node)`
  - `setCssId(Edge, String)`
  - `setCssId(Node, String)`
  - Constant Field Values

### LABEL__NE

public static final String LABEL__NE
This attribute determines the label for an element (node/edge). This attribute does not have a default value.

See Also:
  - `getLabel(Edge)`
  - `getLabel(Node)`
  - `setLabel(Edge, String)`
  - `setLabel(Node, String)`
  - Constant Field Values

### MODEL__GNE

public static final String MODEL__GNE
This attribute stores a back-reference to the original model element from which this `Graph`, `Node`, or `Edge` was constructed.

Since:
  5.1
See Also:
  - Constant Field Values

### CURVE__E

public static final String CURVE__E
This attribute determines the curve being used for visualization of the edge.

See Also:
  - Constant Field Values

### START_POINT__E

public static final String START_POINT__E
This attribute determines the start point being used for the visualization of the edge.

See Also:
  - Constant Field Values

### END_POINT__E

public static final String END_POINT__E
This attribute determines the end point being used for the visualization of the edge.

See Also:
  - Constant Field Values

### CURVE_CSS_STYLE__E

public static final String CURVE_CSS_STYLE__E
This attribute determines the CSS style for an edge. This attribute does not have a default value.

See Also:
  - `getCurveCssStyle(Edge)`
  - `setCurveCssStyle(Edge, String)`
  - Constant Field Values

### SOURCE_DECORATION_CSS_STYLE__E

public static final String SOURCE_DECORATION_CSS_STYLE__E
This attribute determines the CSS style for the source decoration of an edge. This attribute does not have a default value.

See Also:
  - `getSourceDecorationCssStyle(Edge)`
  - `setSourceDecorationCssStyle(Edge, String)`
  - Constant Field Values

### TARGET_DECORATION_CSS_STYLE__E

public static final String TARGET_DECORATION_CSS_STYLE__E
This attribute determines the CSS style for the target decoration of an edge. This attribute does not have a default value.

See Also:
  - `getTargetDecorationCssStyle(Edge)`
  - `setTargetDecorationCssStyle(Edge, String)`
  - Constant Field Values

### CONTROL_POINTS__E

public static final String CONTROL_POINTS__E
This attribute determines the way points that are passed along to the `ROUTER__E` in addition to the start and end point, which are provided by the `Connection` and computed by `IAnchor`s at the source and target node of the `Edge` (and not included in the list of way points).

See Also:
  - `getControlPoints(Edge)`
  - `setControlPoints(Edge, List)`
  - Constant Field Values

### SHAPE__N

public static final String SHAPE__N
This attribute determines the shape being used for background and outline visualization of the node.

See Also:
  - Constant Field Values

### SHAPE_CSS_STYLE__N

public static final String SHAPE_CSS_STYLE__N
This attribute determines the CSS style for a node shape. This attribute does not have a default value.

See Also:
  - `getShapeCssStyle(Node)`
  - `setShapeCssStyle(Node, String)`
  - Constant Field Values

### LABEL_CSS_STYLE__NE

public static final String LABEL_CSS_STYLE__NE
This attribute determines the CSS style for an element (node/edge) label. This attribute does not have a default value.

See Also:
  - `getLabelCssStyle(Node)`
  - `getLabelCssStyle(Edge)`
  - `setLabelCssStyle(Node, String)`
  - `setLabelCssStyle(Edge, String)`
  - Constant Field Values

### SOURCE_LABEL_CSS_STYLE__E

public static final String SOURCE_LABEL_CSS_STYLE__E
This attribute determines the CSS style for the source edge label. This attribute does not have a default value.

See Also:
  - `getSourceLabelCssStyle(Edge)`
  - `setSourceLabelCssStyle(Edge, String)`
  - Constant Field Values

### TARGET_LABEL_CSS_STYLE__E

public static final String TARGET_LABEL_CSS_STYLE__E
This attribute determines the CSS style for the target edge label. This attribute does not have a default value.

See Also:
  - `getTargetLabelCssStyle(Edge)`
  - `setTargetLabelCssStyle(Edge, String)`
  - Constant Field Values

### EXTERNAL_LABEL_CSS_STYLE__NE

public static final String EXTERNAL_LABEL_CSS_STYLE__NE
This attribute determines the CSS style for an external label of an element (node/edge). This attribute does not have a default value.

See Also:
  - `getExternalLabelCssStyle(Node)`
  - `getExternalLabelCssStyle(Edge)`
  - `setExternalLabelCssStyle(Node, String)`
  - `setExternalLabelCssStyle(Edge, String)`
  - Constant Field Values

### EXTERNAL_LABEL__NE

public static final String EXTERNAL_LABEL__NE
This attribute determines the (optional) external label of an element (node/edge).

See Also:
  - Constant Field Values

### EXTERNAL_LABEL_POSITION__NE

public static final String EXTERNAL_LABEL_POSITION__NE
This attribute determines the position of an element (node/edge)'s external label (in case it exists).

See Also:
  - Constant Field Values

### LABEL_POSITION__E

public static final String LABEL_POSITION__E
This attribute determines the position of an edge's label (in case it exists).

See Also:
  - Constant Field Values

### SOURCE_LABEL_POSITION__E

public static final String SOURCE_LABEL_POSITION__E
This attribute determines the position of an edge's source label (in case it exists).

See Also:
  - Constant Field Values

### TARGET_LABEL_POSITION__E

public static final String TARGET_LABEL_POSITION__E
This attribute determines the position of an edge's target label (in case it exists).

See Also:
  - Constant Field Values

### ICON__N

public static final String ICON__N
This attribute determines the icon for a node. This attribute does not have a default value.

See Also:
  - `getIcon(Node)`
  - `setIcon(Node, Image)`
  - Constant Field Values

### SIZE__N

public static final String SIZE__N
This attribute determines the size for a node.

See Also:
  - `getSize(Node)`
  - `setSize(Node, Dimension)`
  - Constant Field Values

### POSITION__N

public static final String POSITION__N
This attribute determines the position for a node.

See Also:
  - `getPosition(Node)`
  - `setPosition(Node, Point)`
  - Constant Field Values

### TOOLTIP__N

public static final String TOOLTIP__N
This attribute determines the tooltip for a node. This attribute does not have a default value.

See Also:
  - `getTooltip(Node)`
  - `setTooltip(Node, String)`
  - Constant Field Values

### TOOLTIP__E

public static final String TOOLTIP__E
This attribute determines the tooltip for an edge. This attribute does not have a default value.

Since:
  5.1
See Also:
  - `getTooltip(Edge)`
  - `setTooltip(Edge, String)`
  - Constant Field Values

### LABEL_TOOLTIP__E

public static final String LABEL_TOOLTIP__E
This attribute determines the tooltip for an edge label. This attribute does not have a default value.

Since:
  5.1
See Also:
  - `getLabelTooltip(Edge)`
  - `setLabelTooltip(Edge, String)`
  - Constant Field Values

### SOURCE_LABEL_TOOLTIP__E

public static final String SOURCE_LABEL_TOOLTIP__E
This attribute determines the tooltip for an edge source label. This attribute does not have a default value.

Since:
  5.1
See Also:
  - `getSourceLabelTooltip(Edge)`
  - `setSourceLabelTooltip(Edge, String)`
  - Constant Field Values

### TARGET_LABEL_TOOLTIP__E

public static final String TARGET_LABEL_TOOLTIP__E
This attribute determines the tooltip for an edge target label. This attribute does not have a default value.

Since:
  5.1
See Also:
  - `getTargetLabelTooltip(Edge)`
  - `setTargetLabelTooltip(Edge, String)`
  - Constant Field Values

### EXTERNAL_LABEL_TOOLTIP__NE

public static final String EXTERNAL_LABEL_TOOLTIP__NE
This attribute determines the tooltip for an element (node/edge) external label. This attribute does not have a default value.

Since:
  5.1
See Also:
  - `getExternalLabelTooltip(Edge)`
  - `getExternalLabelTooltip(Node)`
  - `setExternalLabelTooltip(Edge, String)`
  - `setExternalLabelTooltip(Node, String)`
  - Constant Field Values

### TARGET_DECORATION__E

public static final String TARGET_DECORATION__E
This attribute determines the target decoration for an edge. This attribute does not have a default value.

See Also:
  - `getTargetDecoration(Edge)`
  - `setTargetDecoration(Edge, javafx.scene.Node)`
  - Constant Field Values

### SOURCE_DECORATION__E

public static final String SOURCE_DECORATION__E
This attribute determines the source decoration for an edge. This attribute does not have a default value.

See Also:
  - `getSourceDecoration(Edge)`
  - `setSourceDecoration(Edge, javafx.scene.Node)`
  - Constant Field Values

### TARGET_LABEL__E

public static final String TARGET_LABEL__E
This attribute determines the target label for an edge. This attribute does not have a default value.

See Also:
  - `getTargetLabel(Edge)`
  - `setTargetLabel(Edge, String)`
  - Constant Field Values

### SOURCE_LABEL__E

public static final String SOURCE_LABEL__E
This attribute determines the source label for an edge. This attribute does not have a default value.

See Also:
  - `getSourceLabel(Edge)`
  - `setSourceLabel(Edge, String)`
  - Constant Field Values

### ROUTER__E

public static final String ROUTER__E
This attribute determines the `IConnectionRouter` used to route an edge. This attribute does not have a default value.

See Also:
  - `getRouter(Edge)`
  - `setRouter(Edge, IConnectionRouter)`
  - Constant Field Values

### INTERPOLATOR__E

public static final String INTERPOLATOR__E
This attribute determines the `IConnectionInterpolator` used to infer a geometry for an edge. This attribute does not have a default value.

See Also:
  - `getInterpolator(Edge)`
  - `setInterpolator(Edge, IConnectionInterpolator)`
  - Constant Field Values

### LAYOUT_ALGORITHM__G

public static final String LAYOUT_ALGORITHM__G
This attribute determines the `ILayoutAlgorithm` used to layout the graph.

See Also:
  - `getLayoutAlgorithm(Graph)`
  - `setLayoutAlgorithm(Graph, ILayoutAlgorithm)`
  - Constant Field Values

## Constructor Details

### ZestProperties

public ZestProperties()

## Method Details

### getControlPoints

public static List<Point> getControlPoints(Edge edge)
Returns the value of the `CONTROL_POINTS__E` attribute of the given `Edge`.

Parameters:
  `edge` - The `Edge` for which to determine the router points.
Returns:
  The value of the `CONTROL_POINTS__E` attribute of the given `Edge`, or an empty list, if the attribute is unset.

### getCssClass

public static String getCssClass(Edge edge)
Returns the value of the `CSS_CLASS__NE` attribute of the given `Edge`.

Parameters:
  `edge` - The `Edge` of which the CSS class is determined.
Returns:
  The CSS class of the given `Edge`.

### getCssClass

public static String getCssClass(Node node)
Returns the value of the `CSS_CLASS__NE` attribute of the given `Node`.

Parameters:
  `node` - The `Node` of which the CSS class is determined.
Returns:
  The CSS class of the given `Node`.

### getCssId

public static String getCssId(Edge edge)
Returns the value of the `CSS_ID__NE` attribute of the given `Edge`.

Parameters:
  `edge` - The `Edge` of which the CSS id is determined.
Returns:
  The CSS id of the given `Edge`.

### getCssId

public static String getCssId(Node node)
Returns the value of the `CSS_ID__NE` attribute of the given `Node`.

Parameters:
  `node` - The `Node` of which the CSS id is determined.
Returns:
  The CSS id of the given `Node`.

### getCurve

public static Node getCurve(Edge edge)
Returns the value of the `CURVE__E` attribute of the given `Edge`.

Parameters:
  `edge` - The `Edge` for which to return the value of its `CURVE__E` attribute.
Returns:
  A `Node` that represents the visualization of the edge.

### getCurveCssStyle

public static String getCurveCssStyle(Edge edge)
Returns the value of the `CURVE_CSS_STYLE__E` attribute of the given `Edge`.

Parameters:
  `edge` - The `Edge` of which the curve CSS style is determined.
Returns:
  The curve CSS style of the given `Edge`.

### getEndPoint

public static Point getEndPoint(Edge edge)
Returns the value of the `END_POINT__E` attribute of the given `Edge`.

Parameters:
  `edge` - The `Edge` of which the end `Point` is determined.
Returns:
  The end `Point` of the given `Edge`.

### getExternalLabel

public static String getExternalLabel(Edge edge)
Returns the value of the `EXTERNAL_LABEL__NE` attribute of the given `Edge`.

Parameters:
  `edge` - The `Edge` of which the label is determined.
Returns:
  The label of the given `Edge`.

### getExternalLabel

public static String getExternalLabel(Node node)
Returns the value of the `EXTERNAL_LABEL__NE` attribute of the given `Node`.

Parameters:
  `node` - The `Node` of which the label is determined.
Returns:
  The label of the given `Node`.

### getExternalLabelCssStyle

public static String getExternalLabelCssStyle(Edge edge)
Returns the value of the `EXTERNAL_LABEL_CSS_STYLE__NE` attribute of the given `Edge`.

Parameters:
  `edge` - The `Edge` of which the label CSS style is determined.
Returns:
  The label CSS style of the given `Edge`.

### getExternalLabelCssStyle

public static String getExternalLabelCssStyle(Node node)
Returns the value of the `EXTERNAL_LABEL_CSS_STYLE__NE` attribute of the given `Node`.

Parameters:
  `node` - The `Node` of which the label CSS style is determined.
Returns:
  The label CSS style of the given `Node`.

### getExternalLabelPosition

public static Point getExternalLabelPosition(Edge edge)
Returns the value of the `EXTERNAL_LABEL_POSITION__NE` attribute of the given `Edge`.

Parameters:
  `edge` - The `Edge` of which the position is determined.
Returns:
  The value of the `EXTERNAL_LABEL_POSITION__NE` attribute of the given `Edge`.

### getExternalLabelPosition

public static Point getExternalLabelPosition(Node node)
Returns the value of the `EXTERNAL_LABEL_POSITION__NE` attribute of the given `Node`.

Parameters:
  `node` - The `Node` of which the position is determined.
Returns:
  The value of the `EXTERNAL_LABEL_POSITION__NE` attribute of the given `Node`.

### getExternalLabelTooltip

public static String getExternalLabelTooltip(Edge edge)
Returns the value of the `EXTERNAL_LABEL_TOOLTIP__NE` attribute of the given `Edge`.

Parameters:
  `edge` - The `Edge` of which the external label tooltip is determined.
Returns:
  The tooltip of the given `Edge` external label. If a `Provider` is set for `EXTERNAL_LABEL_TOOLTIP__NE`, the value will be retrieved from it using `Provider.get()`.
Since:
  5.1

### getExternalLabelTooltip

public static String getExternalLabelTooltip(Node node)
Returns the value of the `EXTERNAL_LABEL_TOOLTIP__NE` attribute of the given `Node`.

Parameters:
  `node` - The `Node` of which the external label tooltip is determined.
Returns:
  The tooltip of the given `Node` extrnal label. If a `Provider` is set for `EXTERNAL_LABEL_TOOLTIP__NE`, the value will be retrieved from it using `Provider.get()`.
Since:
  5.1

### getIcon

public static Image getIcon(Node node)
Returns the value of the `ICON__N` attribute of the given `Node`.

Parameters:
  `node` - The `Node` of which the icon is determined.
Returns:
  The icon of the given `Node`.

### getInterpolator

public static IConnectionInterpolator getInterpolator(Edge edge)
Returns the value of the `INTERPOLATOR__E` attribute of the given `Edge`.

Parameters:
  `edge` - The `Edge` of which the interpolator is determined.
Returns:
  The router of the given `Edge`.

### getInvisible

public static Boolean getInvisible(Edge edge)
Returns the value of the `INVISIBLE__NE` attribute of the given `Edge`.

Parameters:
  `edge` - The `Edge` of which the `INVISIBLE__NE` attribute value is determined.
Returns:
  The value of the `INVISIBLE__NE` attribute of the given `Edge`.

### getInvisible

public static Boolean getInvisible(Node node)
Returns the value of the `INVISIBLE__NE` attribute of the given `Node`.

Parameters:
  `node` - The `Node` of which the `INVISIBLE__NE` attribute value is determined.
Returns:
  The value of the `INVISIBLE__NE` attribute of the given `Node`.

### getLabel

public static String getLabel(Edge edge)
Returns the value of the `LABEL__NE` attribute for the given `Edge`.

Parameters:
  `edge` - The `Edge` whose attribute value is to be retrieved.
Returns:
  The value of the `LABEL__NE` attribute `Edge`. If a `Provider` was set for the attribute, the value is retrieved from the provider using `Provider.get()`.

### getLabel

public static String getLabel(Node node)
Returns the value of the `LABEL__NE` attribute for the given `Node`.

Parameters:
  `node` - The `Node` whose attribute value is to be retrieved.
Returns:
  The value of the `LABEL__NE` attribute `Node`. If a `Provider` was set for the attribute, the value is retrieved from the provider using `Provider.get()`.

### getLabelCssStyle

public static String getLabelCssStyle(Edge edge)
Returns the value of the `LABEL_CSS_STYLE__NE` attribute of the given `Edge`.

Parameters:
  `edge` - The `Edge` of which the label CSS style is determined.
Returns:
  The label CSS style of the given `Edge`.

### getLabelCssStyle

public static String getLabelCssStyle(Node node)
Returns the value of the `LABEL_CSS_STYLE__NE` attribute of the given `Node`.

Parameters:
  `node` - The `Node` of which the label CSS style is determined.
Returns:
  The label CSS style of the given `Node`.

### getLabelPosition

public static Point getLabelPosition(Edge edge)
Returns the value of the `LABEL_POSITION__E` attribute of the given `Edge`.

Parameters:
  `edge` - The `Edge` of which the position is determined.
Returns:
  The value of the `LABEL_POSITION__E` attribute of the given `Edge`.

### getLabelTooltip

public static String getLabelTooltip(Edge edge)
Returns the value of the `LABEL_TOOLTIP__E` attribute of the given `Edge`.

Parameters:
  `edge` - The `Edge` of which the label tooltip is determined.
Returns:
  The tooltip of the given `Edge` label. If a `Provider` is set for `LABEL_TOOLTIP__E`, the value will be retrieved from it using `Provider.get()`.
Since:
  5.1

### getLayoutAlgorithm

public static ILayoutAlgorithm getLayoutAlgorithm(Graph graph)
Returns the value of the `LAYOUT_ALGORITHM__G` attribute of the given `Graph`.

Parameters:
  `graph` - The `Graph` of which the layout algorithm is determined.
Returns:
  The layout algorithm of the given `Graph`.

### getLayoutIrrelevant

public static Boolean getLayoutIrrelevant(Edge edge)
Returns the value of the `LAYOUT_IRRELEVANT__NE` attribute of the given `Edge`.

Parameters:
  `edge` - The `Edge` of which the layout irrelevant flag is determined.
Returns:
  The layout irrelevant flag of the given `Edge`.

### getLayoutIrrelevant

public static Boolean getLayoutIrrelevant(Node node)
Returns the value of the `LAYOUT_IRRELEVANT__NE` attribute of the given `Node`.

Parameters:
  `node` - The `Node` of which the layout irrelevant flag is determined.
Returns:
  The layout irrelevant flag of the given `Node`.

### getModel

public static Object getModel(Edge edge)
Returns the value of the `MODEL__GNE` attribute of the given `Edge`.

Parameters:
  `edge` - The `Edge` of which the model is determined.
Returns:
  The model of the given `Edge`.
Since:
  5.1

### getModel

public static Object getModel(Graph graph)
Returns the value of the `MODEL__GNE` attribute of the given `Graph`.

Parameters:
  `graph` - The `Graph` of which the model is determined.
Returns:
  The model of the given `Graph`.
Since:
  5.1

### getModel

public static Object getModel(Node node)
Returns the value of the `MODEL__GNE` attribute of the given `Node`.

Parameters:
  `node` - The `Node` of which the model is determined.
Returns:
  The model of the given `Node`.
Since:
  5.1

### getPosition

public static Point getPosition(Node node)
Returns the value of the `POSITION__N` attribute of the given `Node`.

Parameters:
  `node` - The `Node` of which the position is determined.
Returns:
  The value of the `POSITION__N` attribute of the given `Node`.

### getRouter

public static IConnectionRouter getRouter(Edge edge)
Returns the value of the `ROUTER__E` attribute of the given `Edge`.

Parameters:
  `edge` - The `Edge` of which the router is determined.
Returns:
  The router of the given `Edge`.

### getShape

public static Node getShape(Node node)
Returns the value of the `SHAPE__N` attribute of the given `Node`.

Parameters:
  `node` - The `Node` for which to return the value of its `SHAPE__N` attribute.
Returns:
  A `Node` that represents the shape, which is used for rendering background and outline of the node.

### getShapeCssStyle

public static String getShapeCssStyle(Node node)
Returns the value of the `SHAPE_CSS_STYLE__N` attribute of the given `Node`.

Parameters:
  `node` - The `Node` of which the node rectangle CSS style is determined.
Returns:
  The node rectangle CSS style of the given `Node`.

### getSize

public static Dimension getSize(Node node)
Returns the value of the `SIZE__N` attribute of the given `Node`.

Parameters:
  `node` - The `Node` for which to return the `SIZE__N`.
Returns:
  The value of the `SIZE__N` attribute of the given `Node`.

### getSourceDecoration

public static Node getSourceDecoration(Edge edge)
Returns the value of the `SOURCE_DECORATION__E` attribute of the given `Edge`.

Parameters:
  `edge` - The `Edge` of which the source decoration is determined.
Returns:
  The source decoration of the given `Edge`.

### getSourceDecorationCssStyle

public static String getSourceDecorationCssStyle(Edge edge)
Returns the value of the `SOURCE_DECORATION_CSS_STYLE__E` attribute of the given `Edge`.

Parameters:
  `edge` - The `Edge` of which the source decoration CSS style is determined.
Returns:
  The source decoration CSS style of the given `Edge`.

### getSourceLabel

public static String getSourceLabel(Edge edge)
Returns the value of the `SOURCE_LABEL__E` attribute of the given `Edge`.

Parameters:
  `edge` - The `Edge` of which the source decoration is determined.
Returns:
  The value of the `SOURCE_LABEL__E` attribute. In case a provider is set for the attribute, the value will be retrieved from the provider using `Provider.get()`.

### getSourceLabelCssStyle

public static String getSourceLabelCssStyle(Edge edge)
Returns the value of the `SOURCE_LABEL_CSS_STYLE__E` attribute of the given `Edge`.

Parameters:
  `edge` - The `Edge` of which the source label CSS style is determined.
Returns:
  The source label CSS style of the given `Edge`.

### getSourceLabelPosition

public static Point getSourceLabelPosition(Edge edge)
Returns the value of the `SOURCE_LABEL_POSITION__E` attribute of the given `Edge`.

Parameters:
  `edge` - The `Edge` of which the source label position is determined.
Returns:
  The value of the `SOURCE_LABEL_POSITION__E` attribute of the given `Edge`.

### getSourceLabelTooltip

public static String getSourceLabelTooltip(Edge edge)
Returns the value of the `SOURCE_LABEL_TOOLTIP__E` attribute of the given `Edge`.

Parameters:
  `edge` - The `Edge` of which the source label tooltip is determined.
Returns:
  The tooltip of the given `Edge` source label. If a `Provider` is set for `SOURCE_LABEL_TOOLTIP__E`, the value will be retrieved from it using `Provider.get()`.
Since:
  5.1

### getStartPoint

public static Point getStartPoint(Edge edge)
Returns the value of the `START_POINT__E` attribute of the given `Edge`.

Parameters:
  `edge` - The `Edge` of which the start `Point` is determined.
Returns:
  The start `Point` of the given `Edge`.

### getTargetDecoration

public static Node getTargetDecoration(Edge edge)
Returns the value of the `TARGET_DECORATION__E` attribute of the given `Edge`.

Parameters:
  `edge` - The `Edge` of which the target decoration is determined.
Returns:
  The target decoration of the given `Edge`.

### getTargetDecorationCssStyle

public static String getTargetDecorationCssStyle(Edge edge)
Returns the value of the `TARGET_DECORATION_CSS_STYLE__E` attribute of the given `Edge`.

Parameters:
  `edge` - The `Edge` of which the target decoration CSS style is determined.
Returns:
  The target decoration CSS style of the given `Edge`.

### getTargetLabel

public static String getTargetLabel(Edge edge)
Returns the value of the `TARGET_LABEL__E` attribute of the given `Edge`.

Parameters:
  `edge` - The `Edge` of which the target decoration is determined.
Returns:
  The value of the `TARGET_LABEL__E` attribute. In case a provider is set for the attribute, the value will be retrieved from the provider using `Provider.get()`.

### getTargetLabelCssStyle

public static String getTargetLabelCssStyle(Edge edge)
Returns the value of the `TARGET_LABEL_CSS_STYLE__E` attribute of the given `Edge`.

Parameters:
  `edge` - The `Edge` of which the target label CSS style is determined.
Returns:
  The target label CSS style of the given `Edge`.

### getTargetLabelPosition

public static Point getTargetLabelPosition(Edge edge)
Returns the value of the `TARGET_LABEL_POSITION__E` attribute of the given `Edge`.

Parameters:
  `edge` - The `Edge` of which the target label position is determined.
Returns:
  The value of the `TARGET_LABEL_POSITION__E` attribute of the given `Edge`.

### getTargetLabelTooltip

public static String getTargetLabelTooltip(Edge edge)
Returns the value of the `TARGET_LABEL_TOOLTIP__E` attribute of the given `Edge`.

Parameters:
  `edge` - The `Edge` of which the target label tooltip is determined.
Returns:
  The tooltip of the given `Edge` target label. If a `Provider` is set for `TARGET_LABEL_TOOLTIP__E`, the value will be retrieved from it using `Provider.get()`.
Since:
  5.1

### getTooltip

public static String getTooltip(Edge edge)
Returns the value of the `TOOLTIP__E` attribute of the given `Edge`.

Parameters:
  `edge` - The `Edge` of which the tooltip is determined.
Returns:
  The tooltip of the given `Edge`. If a `Provider` is set for `TOOLTIP__E`, the value will be retrieved from it using `Provider.get()`.
Since:
  5.1

### getTooltip

public static String getTooltip(Node node)
Returns the value of the `TOOLTIP__N` attribute of the given `Node`.

Parameters:
  `node` - The `Node` of which the tooltip is determined.
Returns:
  The tooltip of the given `Node`. If a `Provider` is set for `TOOLTIP__N`, the value will be retrieved from it using `Provider.get()`.

### setControlPoints

public static void setControlPoints(Edge edge, List<Point> controlPoints)
Sets the value of the `CONTROL_POINTS__E` attribute of the given `Edge` to the given value.

Parameters:
  `edge` - The `Edge` of which the `CONTROL_POINTS__E` attribute is changed.
  `controlPoints` - The new `List` of control `Point`s for the given `Edge`.

### setControlPoints

public static void setControlPoints(Edge edge, Provider<List<Point>> controlPointsProvider)
Sets the value of the `CONTROL_POINTS__E` attribute of the given `Edge` to the given value.

Parameters:
  `edge` - The `Edge` of which the `CONTROL_POINTS__E` attribute is changed.
  `controlPointsProvider` - The new `List` of control `Point`s for the given `Edge`.

### setCssClass

public static void setCssClass(Edge edge, Provider<String> cssClassProvider)
Sets the value of the `CSS_CLASS__NE` attribute of the given `Edge` to the given value.

Parameters:
  `edge` - The `Edge` of which the CSS class is changed.
  `cssClassProvider` - The new CSS class for the given `Edge`.

### setCssClass

public static void setCssClass(Edge edge, String cssClass)
Sets the value of the `CSS_CLASS__NE` attribute of the given `Edge` to the given value.

Parameters:
  `edge` - The `Edge` of which the CSS class is changed.
  `cssClass` - The new CSS class for the given `Edge`.

### setCssClass

public static void setCssClass(Node node, Provider<String> cssClassProvider)
Sets the value of the `CSS_CLASS__NE` attribute of the given `Node` to the given value.

Parameters:
  `node` - The `Node` of which the CSS class is changed.
  `cssClassProvider` - The new CSS class for the given `Node`.

### setCssClass

public static void setCssClass(Node node, String cssClass)
Sets the value of the `CSS_CLASS__NE` attribute of the given `Node` to the given value.

Parameters:
  `node` - The `Node` of which the CSS class is changed.
  `cssClass` - The new CSS class for the given `Node`.

### setCssId

public static void setCssId(Edge edge, Provider<String> cssIdProvider)
Sets the value of the `CSS_ID__NE` attribute of the given `Edge` to the given value.

Parameters:
  `edge` - The `Edge` of which the CSS id is changed.
  `cssIdProvider` - The new CSS id for the given `Edge`.

### setCssId

public static void setCssId(Edge edge, String cssId)
Sets the value of the `CSS_ID__NE` attribute of the given `Edge` to the given value.

Parameters:
  `edge` - The `Edge` of which the CSS id is changed.
  `cssId` - The new CSS id for the given `Edge`.

### setCssId

public static void setCssId(Node node, Provider<String> cssIdProvider)
Sets the value of the `CSS_ID__NE` attribute of the given `Node` to the given value.

Parameters:
  `node` - The `Node` of which the CSS id is changed.
  `cssIdProvider` - The new CSS id for the given `Node`.

### setCssId

public static void setCssId(Node node, String cssId)
Sets the value of the `CSS_ID__NE` attribute of the given `Node` to the given value.

Parameters:
  `node` - The `Node` of which the CSS id is changed.
  `cssId` - The new CSS id for the given `Node`.

### setCurve

public static void setCurve(Edge edge, Node curve)
Sets the value of the `SHAPE__N` attribute of the given `Edge` to the given value.

Parameters:
  `edge` - The `Edge`, for which to set the value of the `CURVE__E` attribute.
  `curve` - The `Node` that is used to visualize the connection.

### setCurve

public static void setCurve(Edge edge, Provider<Node> curveProvider)
Sets the value of the `CURVE__E` attribute of the given `Edge` to the given value.

Parameters:
  `edge` - The `Edge`, for which to set the value of the `CURVE__E` attribute.
  `curveProvider` - The `Node` that is used to visualize the connection.

### setCurveCssStyle

public static void setCurveCssStyle(Edge edge, Provider<String> curveCssStyleProvider)
Sets the value of the `CURVE_CSS_STYLE__E` attribute of the given `Edge` to the given value.

Parameters:
  `edge` - The `Edge` of which the curve CSS style is changed.
  `curveCssStyleProvider` - The new curve CSS style for the given `Edge`.

### setCurveCssStyle

public static void setCurveCssStyle(Edge edge, String curveCssStyle)
Sets the value of the `CURVE_CSS_STYLE__E` attribute of the given `Edge` to the given value.

Parameters:
  `edge` - The `Edge` of which the curve CSS style is changed.
  `curveCssStyle` - The new curve CSS style for the given `Edge`.

### setEndPoint

public static void setEndPoint(Edge edge, Point endPoint)
Sets the value of the `END_POINT__E` attribute of the given `Edge` to the given value.

Parameters:
  `edge` - The `Edge`, for which to set the value of the `END_POINT__E` attribute.
  `endPoint` - The end `Point` for the given `Edge`.

### setEndPoint

public static void setEndPoint(Edge edge, Provider<Point> endPointProvider)
Sets the value of the `END_POINT__E` attribute of the given `Edge` to the given value.

Parameters:
  `edge` - The `Edge`, for which to set the value of the `END_POINT__E` attribute.
  `endPointProvider` - The end `Point` for the given `Edge`.

### setExternalLabel

public static void setExternalLabel(Edge edge, Provider<String> labelProvider)
Sets the value of the `EXTERNAL_LABEL__NE` attribute of the given `Edge` to the given provider.

Parameters:
  `edge` - The `Edge` of which the external label is changed.
  `labelProvider` - A `Provider` that is used to retrieve the value of the `EXTERNAL_LABEL__NE` attribute.

### setExternalLabel

public static void setExternalLabel(Edge edge, String label)
Sets the value of the `EXTERNAL_LABEL__NE` attribute of the given `Edge` to the given value.

Parameters:
  `edge` - The `Edge` of which the external label is changed.
  `label` - The new label for the given `Edge`.

### setExternalLabel

public static void setExternalLabel(Node node, Provider<String> labelProvider)
Sets the value of the `EXTERNAL_LABEL__NE` attribute of the given `Node` to the given provider.

Parameters:
  `node` - The `Node` of which the external label is changed.
  `labelProvider` - A `Provider` that is used to retrieve the value of the `EXTERNAL_LABEL__NE` attribute.

### setExternalLabel

public static void setExternalLabel(Node node, String label)
Sets the value of the `EXTERNAL_LABEL__NE` attribute of the given `Node` to the given value.

Parameters:
  `node` - The `Node` of which the external label is changed.
  `label` - The new label for the given `Node`.

### setExternalLabelCssStyle

public static void setExternalLabelCssStyle(Edge edge, Provider<String> textCssStyleProvider)
Sets the value of the `EXTERNAL_LABEL_CSS_STYLE__NE` attribute of the given `Edge` to the given value.

Parameters:
  `edge` - The `Edge` of which the label CSS style is changed.
  `textCssStyleProvider` - The new label CSS style for the given `Edge`.

### setExternalLabelCssStyle

public static void setExternalLabelCssStyle(Edge edge, String textCssStyle)
Sets the value of the `EXTERNAL_LABEL_CSS_STYLE__NE` attribute of the given `Edge` to the given value.

Parameters:
  `edge` - The `Edge` of which the label CSS style is changed.
  `textCssStyle` - The new label CSS style for the given `Edge`.

### setExternalLabelCssStyle

public static void setExternalLabelCssStyle(Node node, Provider<String> textCssStyleProvider)
Sets the value of the `EXTERNAL_LABEL_CSS_STYLE__NE` attribute of the given `Node` to the given value.

Parameters:
  `node` - The `Node` of which the node label CSS style is changed.
  `textCssStyleProvider` - The new node label CSS style for the given `Node`.

### setExternalLabelCssStyle

public static void setExternalLabelCssStyle(Node node, String textCssStyle)
Sets the value of the `EXTERNAL_LABEL_CSS_STYLE__NE` attribute of the given `Node` to the given value.

Parameters:
  `node` - The `Node` of which the node label CSS style is changed.
  `textCssStyle` - The new node label CSS style for the given `Node`.

### setExternalLabelPosition

public static void setExternalLabelPosition(Edge edge, Point externalLabelPosition)
Sets the value of the `EXTERNAL_LABEL_POSITION__NE` attribute of the given `Edge` to the given value.

Parameters:
  `edge` - The `Edge` of which the `EXTERNAL_LABEL_POSITION__NE` attribute is changed.
  `externalLabelPosition` - The new external label position.

### setExternalLabelPosition

public static void setExternalLabelPosition(Edge edge, Provider<Point> externalLabelPositionProvider)
Sets the value of the `EXTERNAL_LABEL_POSITION__NE` attribute of the given `Edge` to the given value.

Parameters:
  `edge` - The `Edge` of which the `EXTERNAL_LABEL_POSITION__NE` attribute is changed.
  `externalLabelPositionProvider` - The new external label position.

### setExternalLabelPosition

public static void setExternalLabelPosition(Node node, Point externalLabelPosition)
Sets the value of the `EXTERNAL_LABEL_POSITION__NE` attribute of the given `Node` to the given value.

Parameters:
  `node` - The `Node` of which the `EXTERNAL_LABEL_POSITION__NE` attribute is changed.
  `externalLabelPosition` - The new external label position.

### setExternalLabelPosition

public static void setExternalLabelPosition(Node node, Provider<Point> externalLabelPositionProvider)
Sets the value of the `EXTERNAL_LABEL_POSITION__NE` attribute of the given `Node` to the given value.

Parameters:
  `node` - The `Node` of which the `EXTERNAL_LABEL_POSITION__NE` attribute is changed.
  `externalLabelPositionProvider` - The new external label position.

### setExternalLabelTooltip

public static void setExternalLabelTooltip(Edge edge, Provider<String> tooltipProvider)
Sets the value of the `EXTERNAL_LABEL_TOOLTIP__NE` attribute of the given `Edge` to the given provider.

Parameters:
  `edge` - The `Edge` whose attribute is change.
  `tooltipProvider` - A `Provider` which is used to retrieve the `EXTERNAL_LABEL_TOOLTIP__NE` value.
Since:
  5.1

### setExternalLabelTooltip

public static void setExternalLabelTooltip(Edge edge, String tooltip)
Sets the value of the `EXTERNAL_LABEL_TOOLTIP__NE` attribute of the given `Edge` to the given value.

Parameters:
  `edge` - The `Edge` of which the external label tooltip is changed.
  `tooltip` - The new external label tooltip for the given `Edge`.
Since:
  5.1

### setExternalLabelTooltip

public static void setExternalLabelTooltip(Node node, Provider<String> tooltipProvider)
Sets the value of the `EXTERNAL_LABEL_TOOLTIP__NE` attribute of the given `Node` to the given provider.

Parameters:
  `node` - The `Node` whose attribute is change.
  `tooltipProvider` - A `Provider` which is used to retrieve the `EXTERNAL_LABEL_TOOLTIP__NE` value.
Since:
  5.1

### setExternalLabelTooltip

public static void setExternalLabelTooltip(Node node, String tooltip)
Sets the value of the `EXTERNAL_LABEL_TOOLTIP__NE` attribute of the given `Node` to the given value.

Parameters:
  `node` - The `Node` of which the external label tooltip is changed.
  `tooltip` - The new tooltip for the given `Node`'s external label.
Since:
  5.1

### setIcon

public static void setIcon(Node node, Image icon)
Sets the value of the `ICON__N` attribute of the given `Node` to the given value.

Parameters:
  `node` - The `Node` of which the icon is changed.
  `icon` - The new `Image` for the given `Node`.

### setIcon

public static void setIcon(Node node, Provider<Image> iconProvider)
Sets the value of the `ICON__N` attribute of the given `Node` to the given value.

Parameters:
  `node` - The `Node` of which the icon is changed.
  `iconProvider` - The new `Image` for the given `Node`.

### setInterpolator

public static void setInterpolator(Edge edge, IConnectionInterpolator interpolator)
Sets the value of the `INTERPOLATOR__E` attribute of the given `Edge` to the given value.

Parameters:
  `edge` - The `Edge` of which the interpolator is changed.
  `interpolator` - The new `IConnectionInterpolator` for the given `Edge` .

### setInterpolator

public static void setInterpolator(Edge edge, Provider<IConnectionInterpolator> interpolatorProvider)
Sets the value of the `INTERPOLATOR__E` attribute of the given `Edge` to the given value.

Parameters:
  `edge` - The `Edge` of which the interpolator is changed.
  `interpolatorProvider` - The new `IConnectionInterpolator` for the given `Edge` .

### setInvisible

public static void setInvisible(Edge edge, Boolean invisible)
Sets the value of the `INVISIBLE__NE` attribute of the given `Edge` to the given value.

Parameters:
  `edge` - The `Edge` for which to set the `INVISIBLE__NE` attribute.
  `invisible` - The new value for the `INVISIBLE__NE` attribute of the given `Edge`.

### setInvisible

public static void setInvisible(Edge edge, Provider<Boolean> invisibleProvider)
Sets the value of the `INVISIBLE__NE` attribute of the given `Edge` to the given value.

Parameters:
  `edge` - The `Edge` for which to set the `INVISIBLE__NE` attribute.
  `invisibleProvider` - The new value for the `INVISIBLE__NE` attribute of the given `Edge`.

### setInvisible

public static void setInvisible(Node node, Boolean invisible)
Sets the value of the `INVISIBLE__NE` attribute of the given `Node` to the given value.

Parameters:
  `node` - The `Node` for which to set the `INVISIBLE__NE` attribute.
  `invisible` - The new value for the `INVISIBLE__NE` attribute of the given `Node`.

### setInvisible

public static void setInvisible(Node node, Provider<Boolean> invisibleProvider)
Sets the value of the `INVISIBLE__NE` attribute of the given `Node` to the given value.

Parameters:
  `node` - The `Node` for which to set the `INVISIBLE__NE` attribute.
  `invisibleProvider` - The new value for the `INVISIBLE__NE` attribute of the given `Node`.

### setLabel

public static void setLabel(Edge edge, Provider<String> labelProvider)
Sets the `LABEL__NE` attribute of the given `Edge` to the given provider.

Parameters:
  `edge` - The `Edge` whose attribute is to be changed.
  `labelProvider` - A `Provider` which provides the value for the `LABEL__NE` attribute.

### setLabel

public static void setLabel(Edge edge, String label)
Sets the `LABEL__NE` attribute of the given `Edge` to the given value.

Parameters:
  `edge` - The `Edge` whose attribute is to be changed.
  `label` - The new value for the `LABEL__NE` attribute.

### setLabel

public static void setLabel(Node node, Provider<String> labelProvider)
Sets the `LABEL__NE` attribute of the given `Node` to the given provider.

Parameters:
  `node` - The `Node` whose attribute is to be changed.
  `labelProvider` - A `Provider` which provides the value for the `LABEL__NE` attribute.

### setLabel

public static void setLabel(Node node, String label)
Sets the `LABEL__NE` attribute of the given `Node` to the given value.

Parameters:
  `node` - The `Node` whose attribute is to be changed.
  `label` - The new value for the `LABEL__NE` attribute.

### setLabelCssStyle

public static void setLabelCssStyle(Edge edge, Provider<String> textCssStyleProvider)
Sets the value of the `LABEL_CSS_STYLE__NE` attribute of the given `Edge` to the given value.

Parameters:
  `edge` - The `Edge` of which the label CSS style is changed.
  `textCssStyleProvider` - The new label CSS style for the given `Edge`.

### setLabelCssStyle

public static void setLabelCssStyle(Edge edge, String textCssStyle)
Sets the value of the `LABEL_CSS_STYLE__NE` attribute of the given `Edge` to the given value.

Parameters:
  `edge` - The `Edge` of which the label CSS style is changed.
  `textCssStyle` - The new label CSS style for the given `Edge`.

### setLabelCssStyle

public static void setLabelCssStyle(Node node, Provider<String> textCssStyleProvider)
Sets the value of the `LABEL_CSS_STYLE__NE` attribute of the given `Node` to the given value.

Parameters:
  `node` - The `Node` of which the node label CSS style is changed.
  `textCssStyleProvider` - The new node label CSS style for the given `Node`.

### setLabelCssStyle

public static void setLabelCssStyle(Node node, String textCssStyle)
Sets the value of the `LABEL_CSS_STYLE__NE` attribute of the given `Node` to the given value.

Parameters:
  `node` - The `Node` of which the node label CSS style is changed.
  `textCssStyle` - The new node label CSS style for the given `Node`.

### setLabelPosition

public static void setLabelPosition(Edge edge, Point labelPosition)
Sets the value of the `LABEL_POSITION__E` attribute of the given `Edge` to the given value.

Parameters:
  `edge` - The `Edge` of which the label is changed.
  `labelPosition` - The new position for the label of the given `Edge`.

### setLabelPosition

public static void setLabelPosition(Edge edge, Provider<Point> labelPositionProvider)
Sets the value of the `LABEL_POSITION__E` attribute of the given `Edge` to the given value.

Parameters:
  `edge` - The `Edge` of which the label is changed.
  `labelPositionProvider` - The new position for the label of the given `Edge`.

### setLabelTooltip

public static void setLabelTooltip(Edge edge, Provider<String> tooltipProvider)
Sets the value of the `LABEL_TOOLTIP__E` attribute of the given `Edge` to the given provider.

Parameters:
  `edge` - The `Edge` whose attribute is change.
  `tooltipProvider` - A `Provider` which is used to retrieve the `LABEL_TOOLTIP__E` value.
Since:
  5.1

### setLabelTooltip

public static void setLabelTooltip(Edge edge, String tooltip)
Sets the value of the `LABEL_TOOLTIP__E` attribute of the given `Edge` to the given value.

Parameters:
  `edge` - The `Edge` of which the label tooltip is changed.
  `tooltip` - The new tooltip for the given `Edge` label.
Since:
  5.1

### setLayoutAlgorithm

public static void setLayoutAlgorithm(Graph graph, ILayoutAlgorithm algorithm)
Sets the value of the `LAYOUT_ALGORITHM__G` attribute of the given `Graph` to the given value.

Parameters:
  `graph` - The `Graph` of which the layout algorithm is changed.
  `algorithm` - The new `ILayoutAlgorithm` for the given `Graph`.

### setLayoutAlgorithm

public static void setLayoutAlgorithm(Graph graph, Provider<ILayoutAlgorithm> algorithmProvider)
Sets the value of the `LAYOUT_ALGORITHM__G` attribute of the given `Graph` to the given value.

Parameters:
  `graph` - The `Graph` of which the layout algorithm is changed.
  `algorithmProvider` - The new `ILayoutAlgorithm` for the given `Graph`.

### setLayoutIrrelevant

public static void setLayoutIrrelevant(Edge edge, Boolean layoutIrrelevant)
Sets the value of the `LAYOUT_IRRELEVANT__NE` attribute of the given `Edge` to the given value.

Parameters:
  `edge` - The `Edge` of which the layout irrelevant flag is changed.
  `layoutIrrelevant` - The new layout irrelevant flag for the given `Edge`.

### setLayoutIrrelevant

public static void setLayoutIrrelevant(Edge edge, Provider<Boolean> layoutIrrelevantProvider)
Sets the value of the `LAYOUT_IRRELEVANT__NE` attribute of the given `Edge` to the given value.

Parameters:
  `edge` - The `Edge` of which the layout irrelevant flag is changed.
  `layoutIrrelevantProvider` - The new layout irrelevant flag for the given `Edge`.

### setLayoutIrrelevant

public static void setLayoutIrrelevant(Node node, Boolean layoutIrrelevant)
Sets the value of the `LAYOUT_IRRELEVANT__NE` attribute of the given `Node` to the given value.

Parameters:
  `node` - The `Node` of which the layout irrelevant flag is changed.
  `layoutIrrelevant` - The new layout irrelevant flag for the given `Node`.

### setLayoutIrrelevant

public static void setLayoutIrrelevant(Node node, Provider<Boolean> layoutIrrelevantProvider)
Sets the value of the `LAYOUT_IRRELEVANT__NE` attribute of the given `Node` to the given value.

Parameters:
  `node` - The `Node` of which the layout irrelevant flag is changed.
  `layoutIrrelevantProvider` - The new layout irrelevant flag for the given `Node`.

### setModel

public static void setModel(Edge edge, Object model)
Sets the value of the `MODEL__GNE` attribute of the given `Edge` to the given value.

Parameters:
  `edge` - The `Edge` of which the model is changed.
  `model` - The model for the given `Edge`.
Since:
  5.1

### setModel

public static void setModel(Graph graph, Object model)
Sets the value of the `MODEL__GNE` attribute of the given `Graph` to the given value.

Parameters:
  `graph` - The `Graph` of which the model is changed.
  `model` - The model for the given `Graph`.
Since:
  5.1

### setModel

public static void setModel(Node node, Object model)
Sets the value of the `MODEL__GNE` attribute of the given `Node` to the given value.

Parameters:
  `node` - The `Node` of which the model is changed.
  `model` - The model for the given `Node`.
Since:
  5.1

### setPosition

public static void setPosition(Node node, Point position)
Sets the value of the `POSITION__N` attribute of the given `Node` to the given value.

Parameters:
  `node` - The `Node` of which the `POSITION__N` attribute is changed.
  `position` - The new node position.

### setPosition

public static void setPosition(Node node, Provider<Point> positionProvider)
Sets the value of the `POSITION__N` attribute of the given `Node` to the given value.

Parameters:
  `node` - The `Node` of which the `POSITION__N` attribute is changed.
  `positionProvider` - The new node position.

### setRouter

public static void setRouter(Edge edge, IConnectionRouter router)
Sets the value of the `ROUTER__E` attribute of the given `Edge` to the given value.

Parameters:
  `edge` - The `Edge` of which the router is changed.
  `router` - The new `IConnectionRouter` for the given `Edge` .

### setRouter

public static void setRouter(Edge edge, Provider<IConnectionRouter> routerProvider)
Sets the value of the `ROUTER__E` attribute of the given `Edge` to the given value.

Parameters:
  `edge` - The `Edge` of which the router is changed.
  `routerProvider` - The new `IConnectionRouter` for the given `Edge` .

### setShape

public static void setShape(Node node, Node shape)
Sets the value of the `SHAPE__N` attribute of the given `Node` to the given value.

Parameters:
  `node` - The `Node`, for which to set the value of the `SHAPE__N` attribute.
  `shape` - The shape that is be used for rendering the node outline and background.

### setShape

public static void setShape(Node node, Provider<Node> shapeProvider)
Sets the value of the `SHAPE__N` attribute of the given `Node` to the given value.

Parameters:
  `node` - The `Node`, for which to set the value of the `SHAPE__N` attribute.
  `shapeProvider` - The shape that is be used for rendering the node outline and background.

### setShapeCssStyle

public static void setShapeCssStyle(Node node, Provider<String> rectCssStyleProvider)
Sets the value of the `SHAPE_CSS_STYLE__N` attribute of the given `Node` to the given value.

Parameters:
  `node` - The `Node` of which the node rectangle CSS style is changed.
  `rectCssStyleProvider` - The new node rectangle CSS style for the given `Node`.

### setShapeCssStyle

public static void setShapeCssStyle(Node node, String rectCssStyle)
Sets the value of the `SHAPE_CSS_STYLE__N` attribute of the given `Node` to the given value.

Parameters:
  `node` - The `Node` of which the node rectangle CSS style is changed.
  `rectCssStyle` - The new node rectangle CSS style for the given `Node`.

### setSize

public static void setSize(Node node, Dimension size)
Sets the value of the `SIZE__N` attribute of the given `Node` to the given value.

Parameters:
  `node` - The `Node` for which to return the `SIZE__N`.
  `size` - The `Dimension` describing the new size for the given `Node`.

### setSize

public static void setSize(Node node, Provider<Dimension> sizeProvider)
Sets the value of the `SIZE__N` attribute of the given `Node` to the given value.

Parameters:
  `node` - The `Node` for which to return the `SIZE__N`.
  `sizeProvider` - The `Dimension` describing the new size for the given `Node`.

### setSourceDecoration

public static void setSourceDecoration(Edge edge, Node sourceDecoration)
Sets the value of the `SOURCE_DECORATION__E` attribute of the given `Edge` to the given value.

Parameters:
  `edge` - The `Edge` of which the source decoration is changed.
  `sourceDecoration` - The new source decoration for the given `Edge`.

### setSourceDecoration

public static void setSourceDecoration(Edge edge, Provider<Node> sourceDecorationProvider)
Sets the value of the `SOURCE_DECORATION__E` attribute of the given `Edge` to the given value.

Parameters:
  `edge` - The `Edge` of which the source decoration is changed.
  `sourceDecorationProvider` - The new source decoration for the given `Edge`.

### setSourceDecorationCssStyle

public static void setSourceDecorationCssStyle(Edge edge, Provider<String> sourceDecorationCssStyleProvider)
Sets the value of the `SOURCE_DECORATION_CSS_STYLE__E` attribute of the given `Edge` to the given value.

Parameters:
  `edge` - The `Edge` of which the source decoration CSS style is changed.
  `sourceDecorationCssStyleProvider` - The new source decoration CSS style for the given `Edge` .

### setSourceDecorationCssStyle

public static void setSourceDecorationCssStyle(Edge edge, String sourceDecorationCssStyle)
Sets the value of the `SOURCE_DECORATION_CSS_STYLE__E` attribute of the given `Edge` to the given value.

Parameters:
  `edge` - The `Edge` of which the source decoration CSS style is changed.
  `sourceDecorationCssStyle` - The new source decoration CSS style for the given `Edge` .

### setSourceLabel

public static void setSourceLabel(Edge edge, Provider<String> sourceLabelProvider)
Sets the value of the `SOURCE_LABEL__E` attribute of the given `Edge` to the given provider.

Parameters:
  `edge` - The `Edge` of which the target decoration is changed.
  `sourceLabelProvider` - A `Provider` which provides the value for `SOURCE_LABEL__E` attribute.

### setSourceLabel

public static void setSourceLabel(Edge edge, String sourceLabel)
Sets the value of the `SOURCE_LABEL__E` attribute of the given `Edge` to the given value.

Parameters:
  `edge` - The `Edge` of which the target decoration is changed.
  `sourceLabel` - The new source label for the given `Edge`.

### setSourceLabelCssStyle

public static void setSourceLabelCssStyle(Edge edge, Provider<String> sourceLabelCssStyleProvider)
Sets the value of the `SOURCE_LABEL_CSS_STYLE__E` attribute of the given `Edge` to the given value.

Parameters:
  `edge` - The `Edge` of which the source label CSS style is changed.
  `sourceLabelCssStyleProvider` - The new source label CSS style for the given `Edge` .

### setSourceLabelCssStyle

public static void setSourceLabelCssStyle(Edge edge, String sourceLabelCssStyle)
Sets the value of the `SOURCE_LABEL_CSS_STYLE__E` attribute of the given `Edge` to the given value.

Parameters:
  `edge` - The `Edge` of which the source label CSS style is changed.
  `sourceLabelCssStyle` - The new source label CSS style for the given `Edge` .

### setSourceLabelPosition

public static void setSourceLabelPosition(Edge edge, Point labelPosition)
Sets the value of the `SOURCE_LABEL_POSITION__E` attribute of the given `Edge` to the given value.

Parameters:
  `edge` - The `Edge` of which the source label is changed.
  `labelPosition` - The new position for the source label of the given `Edge`.

### setSourceLabelPosition

public static void setSourceLabelPosition(Edge edge, Provider<Point> labelPositionProvider)
Sets the value of the `SOURCE_LABEL_POSITION__E` attribute of the given `Edge` to the given value.

Parameters:
  `edge` - The `Edge` of which the source label is changed.
  `labelPositionProvider` - The new position for the source label of the given `Edge`.

### setSourceLabelTooltip

public static void setSourceLabelTooltip(Edge edge, Provider<String> tooltipProvider)
Sets the value of the `SOURCE_LABEL_TOOLTIP__E` attribute of the given `Edge` to the given provider.

Parameters:
  `edge` - The `Edge` whose attribute is change.
  `tooltipProvider` - A `Provider` which is used to retrieve the `SOURCE_LABEL_TOOLTIP__E` value.
Since:
  5.1

### setSourceLabelTooltip

public static void setSourceLabelTooltip(Edge edge, String tooltip)
Sets the value of the `SOURCE_LABEL_TOOLTIP__E` attribute of the given `Edge` to the given value.

Parameters:
  `edge` - The `Edge` of which the source label tooltip is changed.
  `tooltip` - The new tooltip for the given `Edge` source label.
Since:
  5.1

### setStartPoint

public static void setStartPoint(Edge edge, Point startPoint)
Sets the value of the `START_POINT__E` attribute of the given `Edge` to the given value.

Parameters:
  `edge` - The `Edge`, for which to set the value of the `START_POINT__E` attribute.
  `startPoint` - The start Point for the given `Edge`.

### setStartPoint

public static void setStartPoint(Edge edge, Provider<Point> startPointProvider)
Sets the value of the `START_POINT__E` attribute of the given `Edge` to the given value.

Parameters:
  `edge` - The `Edge`, for which to set the value of the `START_POINT__E` attribute.
  `startPointProvider` - The start Point for the given `Edge`.

### setTargetDecoration

public static void setTargetDecoration(Edge edge, Node targetDecoration)
Sets the value of the `TARGET_DECORATION__E` attribute of the given `Edge` to the given value.

Parameters:
  `edge` - The `Edge` of which the target decoration is changed.
  `targetDecoration` - The new target decoration for the given `Edge`.

### setTargetDecoration

public static void setTargetDecoration(Edge edge, Provider<Node> targetDecorationProvider)
Sets the value of the `TARGET_DECORATION__E` attribute of the given `Edge` to the given value.

Parameters:
  `edge` - The `Edge` of which the target decoration is changed.
  `targetDecorationProvider` - The new target decoration for the given `Edge`.

### setTargetDecorationCssStyle

public static void setTargetDecorationCssStyle(Edge edge, Provider<String> targetDecorationCssStyleProvider)
Sets the value of the `TARGET_DECORATION_CSS_STYLE__E` attribute of the given `Edge` to the given value.

Parameters:
  `edge` - The `Edge` of which the target decoration CSS style is changed.
  `targetDecorationCssStyleProvider` - The new target decoration CSS style for the given `Edge` .

### setTargetDecorationCssStyle

public static void setTargetDecorationCssStyle(Edge edge, String targetDecorationCssStyle)
Sets the value of the `TARGET_DECORATION_CSS_STYLE__E` attribute of the given `Edge` to the given value.

Parameters:
  `edge` - The `Edge` of which the target decoration CSS style is changed.
  `targetDecorationCssStyle` - The new target decoration CSS style for the given `Edge` .

### setTargetLabel

public static void setTargetLabel(Edge edge, Provider<String> targetLabelProvider)
Sets the value of the `TARGET_LABEL__E` attribute of the given `Edge` to the given provider.

Parameters:
  `edge` - The `Edge` of which the target decoration is changed.
  `targetLabelProvider` - A `Provider` which provides the value for `TARGET_LABEL__E` attribute.

### setTargetLabel

public static void setTargetLabel(Edge edge, String targetLabel)
Sets the value of the `TARGET_LABEL__E` attribute of the given `Edge` to the given value.

Parameters:
  `edge` - The `Edge` of which the target decoration is changed.
  `targetLabel` - The new target label for the given `Edge`.

### setTargetLabelCssStyle

public static void setTargetLabelCssStyle(Edge edge, Provider<String> targetLabelCssStyleProvider)
Sets the value of the `TARGET_LABEL_CSS_STYLE__E` attribute of the given `Edge` to the given value.

Parameters:
  `edge` - The `Edge` of which the target label CSS style is changed.
  `targetLabelCssStyleProvider` - The new target label CSS style for the given `Edge` .

### setTargetLabelCssStyle

public static void setTargetLabelCssStyle(Edge edge, String targetLabelCssStyle)
Sets the value of the `TARGET_LABEL_CSS_STYLE__E` attribute of the given `Edge` to the given value.

Parameters:
  `edge` - The `Edge` of which the target label CSS style is changed.
  `targetLabelCssStyle` - The new target label CSS style for the given `Edge` .

### setTargetLabelPosition

public static void setTargetLabelPosition(Edge edge, Point labelPosition)
Sets the value of the `TARGET_LABEL_POSITION__E` attribute of the given `Edge` to the given value.

Parameters:
  `edge` - The `Edge` of which the target label is changed.
  `labelPosition` - The new position for the target label of the given `Edge`.

### setTargetLabelPosition

public static void setTargetLabelPosition(Edge edge, Provider<Point> labelPositionProvider)
Sets the value of the `TARGET_LABEL_POSITION__E` attribute of the given `Edge` to the given value.

Parameters:
  `edge` - The `Edge` of which the target label is changed.
  `labelPositionProvider` - The new position for the target label of the given `Edge`.

### setTargetLabelTooltip

public static void setTargetLabelTooltip(Edge edge, Provider<String> tooltipProvider)
Sets the value of the `TARGET_LABEL_TOOLTIP__E` attribute of the given `Edge` to the given provider.

Parameters:
  `edge` - The `Edge` whose attribute is change.
  `tooltipProvider` - A `Provider` which is used to retrieve the `TARGET_LABEL_TOOLTIP__E` value.
Since:
  5.1

### setTargetLabelTooltip

public static void setTargetLabelTooltip(Edge edge, String tooltip)
Sets the value of the `TARGET_LABEL_TOOLTIP__E` attribute of the given `Edge` to the given value.

Parameters:
  `edge` - The `Edge` of which the target label tooltip is changed.
  `tooltip` - The new tooltip for the given `Edge` target label.
Since:
  5.1

### setTooltip

public static void setTooltip(Edge edge, Provider<String> tooltipProvider)
Sets the value of the `TOOLTIP__E` attribute of the given `Edge` to the given provider.

Parameters:
  `edge` - The `Edge` whose attribute is change.
  `tooltipProvider` - A `Provider` which is used to retrieve the `TOOLTIP__E` value.
Since:
  5.1

### setTooltip

public static void setTooltip(Edge edge, String tooltip)
Sets the value of the `TOOLTIP__E` attribute of the given `Edge` to the given value.

Parameters:
  `edge` - The `Edge` of which the tooltip is changed.
  `tooltip` - The new tooltip for the given `Edge`.
Since:
  5.1

### setTooltip

public static void setTooltip(Node node, Provider<String> tooltipProvider)
Sets the value of the `TOOLTIP__N` attribute of the given `Node` to the given provider.

Parameters:
  `node` - The `Node` whose attribute is change.
  `tooltipProvider` - A `Provider` which is used to retrieve the `TOOLTIP__N` value.

### setTooltip

public static void setTooltip(Node node, String tooltip)
Sets the value of the `TOOLTIP__N` attribute of the given `Node` to the given value.

Parameters:
  `node` - The `Node` of which the tooltip is changed.
  `tooltip` - The new tooltip for the given `Node`.